#
# spec file for package yast2-update (Version 2.9.27)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  yast2 yast2-bootloader yast2-country yast2-devel-packages yast2-installation yast2-mouse yast2-packager yast2-storage yast2-x11

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db4 MAKEDEV diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-common gpm grep groff gzip info chkconfig kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netconfig openldap-clients openssl pam  patch  popt procinfo procps psmisc shadow-utils rcs readline sed strace sysklogd SysVinit tar tcp_wrappers texinfo tzdata unzip util-linux vim-common zlib zlib-devel autoconf automake binutils curl dejagnu doxygen expect gcc gdbm gettext libtool liby2util liby2util-devel openslp openslp-devel perl perl-XML-Writer perl-gettext rpm tcl update-desktop-files yast2 yast2-bootloader yast2-core yast2-core-devel yast2-country yast2-devtools yast2-installation yast2-mouse yast2-packagemanager yast2-packagemanager-devel yast2-packager yast2-perl-bindings yast2-storage yast2-testsuite yast2-x11 suse-macros

Name:         yast2-update
Version:      2.9.27
Release:      0.2
License:      GPL
Group:        System/YaST
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Source0:      yast2-update-2.9.27.tar.bz2
prefix:		/usr
Requires:     yast2 yast2-installation yast2-storage yast2-packager
Provides:     yast2-config-update y2c_update
Obsoletes:    yast2-config-update y2c_update
Provides:     yast2-trans-inst-update y2t_inst-update
Obsoletes:    yast2-trans-inst-update y2t_inst-update
Provides:     yast2-trans-update y2t_update
Obsoletes:    yast2-trans-update y2t_update
Summary:      YaST2 - Update

%description
Use this component if you wish to update your system.



Authors:
--------
    Stefan Schubert <schubi@suse.de>
    Arvin Schnell <arvin@suse.de>

%prep
%setup -n yast2-update-2.9.27

%build
%{prefix}/bin/y2tool y2autoconf
%{prefix}/bin/y2tool y2automake
autoreconf --force --install
#g++32 can't support mtune parameter
RPM_OPT_FLAGS=`echo "$RPM_OPT_FLAGS" | sed -e 's/-mtune=pentium4//'`
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
CC=gcc32 CXX=g++32 ./configure --libdir=%{_libdir} --prefix=%{prefix} --mandir=%{_mandir}
make %{?jobs:-j%jobs}

%install
[ "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK" ] || Y2DIR="$RPM_BUILD_ROOT/usr/share/YaST2" make check DESTDIR="$RPM_BUILD_ROOT"
for f in `find $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/*.desktop` ; do
    d=${f##*/}
    %suse_update_desktop_file ${d%.desktop}
done

%clean
[ "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%{prefix}/lib/YaST2/bin/*
#%{prefix}/share/applications/YaST2/*.desktop
/usr/share/YaST2/modules/*
/usr/share/YaST2/clients/*.ycp
%doc %{prefix}/share/doc/packages/yast2-update

%changelog -n yast2-update
* Mon Mar 12 2007 - wenji.huang@oracle.com
- Fit spec to RHEL/EL
* Thu May 27 2004 - arvin@suse.de
- used original target map during update (bug #41250)
* Wed May 12 2004 - arvin@suse.de
- only update selections if the user did not make an manual
  interaction (bug #40358)
* Tue May 04 2004 - arvin@suse.de
- merged proofread messages
* Thu Apr 29 2004 - arvin@suse.de
- handle renaming of device names on iseries (bug #39437)
* Tue Apr 06 2004 - nashif@suse.de
- Use product feature value for update/upgrade (#38486)
* Tue Apr 06 2004 - arvin@suse.de
- added error popup for wrong device of root partition in fstab
* Mon Apr 05 2004 - arvin@suse.de
- load module dm-snapshort at to prevent hangs if LVM contains
  snapshot LVs (#36422)
* Fri Apr 02 2004 - arvin@suse.de
- finally changed license to GPL for good
* Wed Mar 31 2004 - kkaempf@suse.de
- Support for /usr/local in gnome-postinstall. (sbrabec@suse.cz)
* Thu Mar 25 2004 - arvin@suse.de
- change for new crypto handling
- better structured data about old and new version
* Tue Mar 23 2004 - arvin@suse.de
- load dm-mod instead of lvm-mod when searching for root
  partition (bug #36784)
* Tue Mar 16 2004 - kkaempf@suse.de
- add clean up scripts for GNOME (#36196)
* Tue Mar 16 2004 - nashif@suse.de
- Dont format list partitions (autoinst mode)
* Mon Mar 15 2004 - arvin@suse.de
- adapted to changed mode stuff
* Fri Mar 12 2004 - nashif@suse.de
- add function to format/mount partitions using installed
  fstab to be used for auto-installation.
* Wed Mar 10 2004 - arvin@suse.de
- maybe fixed root partition detection
* Thu Mar 04 2004 - arvin@suse.de
- handle ProductFeatures::delete_old_packages (bug #35235)
* Wed Mar 03 2004 - arvin@suse.de
- correctly initialize old product name during update
* Tue Mar 02 2004 - visnov@suse.cz
- added type info for lists/maps
* Sat Feb 28 2004 - kkaempf@suse.de
- fix typo from last change
* Fri Feb 27 2004 - arvin@suse.de
- initialize old product name during update
* Thu Feb 26 2004 - nashif@suse.de
- Changed proposal file name proposal_* to *_proposal
* Wed Feb 25 2004 - arvin@suse.de
- also detect RHAS (bug #34983)
* Tue Feb 24 2004 - arvin@suse.de
- readded update in running system (bug #34538)
- set default to "only update" when updating in running system
* Thu Feb 19 2004 - mvidner@suse.cz
- changed sort to use "<" instead of "<=" because of the switch
  to std::sort
* Tue Feb 10 2004 - arvin@suse.de
- fixed missing argument in proposal_packages.ycp
* Mon Jan 19 2004 - arvin@suse.de
- united inst_rpmcopy.ycp and inst_rpmupdate.ycp
* Fri Jan 16 2004 - arvin@suse.de
- restore callbacks after slideshow
* Mon Sep 29 2003 - arvin@suse.de
- removed module for update from running system (bug #31824)
* Thu Sep 18 2003 - kkaempf@suse.de
- if there are replacements for installed selections, use them
  (#31211)
* Wed Sep 17 2003 - arvin@suse.de
- activate lvm while searching for root partitions (bug #30723)
- use real partition table during search for root partitions
* Tue Sep 16 2003 - kkaempf@suse.de
- when upgrading to new base selection, first activate the
  selection, then do the update loop. (part of #31001)
* Tue Sep 16 2003 - arvin@suse.de
- fixed backup of /etc/rc.config.d
* Mon Sep 15 2003 - msvec@suse.cz
- another missing translation mark
- 2.8.21
* Mon Sep 15 2003 - arvin@suse.de
- fixed backup of /etc/rc.config
* Sun Sep 14 2003 - arvin@suse.de
- rewrote selection handling (bug #30460 and hopefully many more)
* Fri Sep 12 2003 - arvin@suse.de
- more or less ignore conflict during update (workaround for
  bug #30550)
* Thu Sep 11 2003 - arvin@suse.de
- update mode for package selector is back (bug #29906)
* Thu Sep 11 2003 - kkaempf@suse.de
- move Pkg::SetLocale() to Packages::Init() (#30438)
* Thu Sep 11 2003 - arvin@suse.de
- try to backup /etc/rc.config if /etc/sysconfig doesn't exist
  (bug #30482)
* Tue Sep 09 2003 - kkaempf@suse.de
- Fallback to highest ordered base selection if the installed base
  selection doesn't have a counterpart. (#29904)
- 2.8.14
* Mon Sep 08 2003 - arvin@suse.de
- sync rpm database
* Thu Sep 04 2003 - arvin@suse.de
- added space check (bug #29705)
* Wed Sep 03 2003 - arvin@suse.de
- activate md and lvm
* Mon Sep 01 2003 - arvin@suse.de
- avoid leading "/mnt" in backup of /etc/sysconfig
* Sun Aug 31 2003 - arvin@suse.de
- use Popup::ConfirmAbort
* Fri Aug 29 2003 - arvin@suse.de
- install callbacks for converting rpm database (bug #29484)
* Fri Aug 29 2003 - arvin@suse.de
- show error when media is broken (bug #29489)
* Tue Aug 26 2003 - arvin@suse.de
- solve errors cause a blocker during update (bug #29320)
* Fri Aug 22 2003 - arvin@suse.de
- only run inst_rpmupdate during update
* Tue Aug 19 2003 - arvin@suse.de
- removed obsolete include
* Wed Aug 13 2003 - arvin@suse.de
- fixed detection of root partitions (bug #28719)
* Mon Jul 28 2003 - arvin@suse.de
- ignore read-only option when mounting partitions for update
  (part of several bug reports)
* Wed Jul 16 2003 - arvin@suse.de
- remove old yast stuff (e.g. you files) before running update
* Tue Jul 15 2003 - arvin@suse.de
- make backup (archive) of /etc/sysconfig (bug #25283)
- allow user to remove old backups
* Thu Jul 10 2003 - arvin@suse.de
- fixed help text for dialog to select root partition (bug #8014)
* Thu Jul 10 2003 - arvin@suse.de
- only offer systems with same architecture as installation
  medium for update (bug #25377)
* Fri Jul 04 2003 - arvin@suse.de
- allow selection of all root partition (bug #16643)
* Fri Jul 04 2003 - arvin@suse.de
- convert update workflow into a proposal
* Tue Mar 18 2003 - kkaempf@suse.de
- Set Mode::update so Bootloader clean old boot configuration
  (i.e. removing dropped modules from initrd) correctly.
- 2.7.15
* Tue Mar 18 2003 - kkaempf@suse.de
- remove old (defective) list of still-to-be-installed source
  rpms (#25578)
- rename "Boot" to "Bootloader" (#25558)
- 2.7.14
* Tue Mar 18 2003 - kkaempf@suse.de
- remove unneeded import "Boot" from update.ycp
- 2.7.13
* Tue Mar 18 2003 - sh@suse.de
- Fixed complaints about undeclared variable Upgrade::userChangedState
  (it's Update::userChangedState)
* Mon Mar 17 2003 - kkaempf@suse.de
- if no product can be determined, use /etc/*-release
- 2.7.11
* Sat Mar 15 2003 - kkaempf@suse.de
- move the "seen_details" flag to the global Update module (#24927)
- 2.7.10
* Fri Mar 14 2003 - kkaempf@suse.de
- if user was in single package selection, he has seen the
  details (#24927)
- 2.7.9
* Fri Mar 07 2003 - arvin@suse.de
- only search for root partition on partitions with file system
  we know about (bug #24740)
* Wed Mar 05 2003 - kkaempf@suse.de
- check "selection changed by user" status better (#23616).
* Tue Mar 04 2003 - kkaempf@suse.de
- default to 'delete packages without replacement' during
  update (#24534)
- 2.7.6
* Mon Mar 03 2003 - arvin@suse.de
- once more merged proofread texts
* Mon Feb 24 2003 - kkaempf@suse.de
- fix logfile name in error popup (#24188)
* Wed Feb 12 2003 - kkaempf@suse.de
- remove "/usr/share/info/dir" on target if not owned by
  any package (#23555)
* Mon Feb 10 2003 - arvin@suse.de
- merged proofread messages
* Fri Feb 07 2003 - arvin@suse.de
- merged proofread messages
* Tue Nov 05 2002 - kkaempf@suse.de
- close initial dialog window properly (#21377)
- 2.6.23
* Fri Sep 13 2002 - lslezak@suse.cz
- propagate info about all partitions to Storage:: at update
- version 2.6.22
* Fri Sep 13 2002 - lnussel@suse.de
- write /var/lib/YaST2/backup_path so info about backups doesn't get lost after
  reboot (#19629)
- 2.6.21
* Fri Sep 13 2002 - fehr@suse.de
- fix another code path where to propagate info about root partition
- 2.6.20
* Thu Sep 12 2002 - fehr@suse.de
- propagate info about root partition for update to Storage module
- make update on md partition work
- remove keyboard handling stuff was wrong anyway, keyboard is now
  set at start of installation in inst_language
- 2.6.19
* Thu Sep 12 2002 - kkaempf@suse.de
- set selection if user accepts default.
- init space calculation (#19548)
- 2.6.18
* Thu Sep 12 2002 - kkaempf@suse.de
- set locale in package manager (#19536)
- 2.6.17
* Thu Sep 12 2002 - kkaempf@suse.de
- check vfstype for "proc", not "spec". Older systems have
  a different fstab.
- show installed product if called from running system.
- 2.6.16
* Wed Sep 11 2002 - kkaempf@suse.de
- implement save/restore for package selection
* Wed Sep 11 2002 - kkaempf@suse.de
- neutralize "cups" during update
- 2.6.15
* Wed Sep 11 2002 - kkaempf@suse.de
- fix syntax error
- 2.6.14
* Wed Sep 11 2002 - kkaempf@suse.de
- pass "update_installed_only" to solver
- 2.6.12
* Tue Sep 10 2002 - arvin@suse.de
- added provides/obsoletes y2t_update (bug #19325)
* Tue Sep 10 2002 - kkaempf@suse.de
- convert runlevel if update 7.0 or older
- 2.6.11
* Mon Sep 09 2002 - kkaempf@suse.de
- add script to update passwd and groups so both include
  the minimal set of required entries
- drop "noarch"
- 2.6.10
* Mon Sep 09 2002 - kkaempf@suse.de
- drop Save/Restore from Update, it's done via "remaining"
  and inst_rpmcopy.
- 2.6.9
* Sat Sep 07 2002 - kkaempf@suse.de
- drop user choosing of kernel, that's possible in package UI
- force installation of new kernel if running from inst-sys
- 2.6.8
* Fri Sep 06 2002 - kkaempf@suse.de
- forceUpdate not needed any more.
- 2.6.7
* Fri Sep 06 2002 - kkaempf@suse.de
- clean up code, use yast2-packager after restart
- 2.6.6
* Fri Sep 06 2002 - kkaempf@suse.de
- write update status for restart
- 2.6.5
* Thu Sep 05 2002 - kkaempf@suse.de
- use Pkg:: functions for rpm backup
- implement rebuilddb callback
- call PkgSolve
- properly init slide show
- write remaining list so inst_rpmcopy can take over
- 2.6.4
* Wed Sep 04 2002 - kkaempf@suse.de
- re-add inst_* modules from update in order to keep
  textdomains apart (#18876)
- 2.6.3
* Wed Sep 04 2002 - msvec@suse.cz
- provide the old client name temporarily for compatibility
- 2.6.2
* Wed Sep 04 2002 - msvec@suse.cz
- provide/obsolete old translation packages
- rename clients from sw_update to simply update
- 2.6.1
* Tue Jul 09 2002 - mvidner@suse.cz
- fixed Provides/Obsoletes.
* Tue Jul 02 2002 - kkaempf@suse.de
- rename to yast2-update.
* Mon Mar 25 2002 - schubi@suse.de
- Calling mk_initrd and lilo after updating kernel #15443
* Fri Mar 08 2002 - gs@suse.de
- Read the package information always from source medium, don't
  use locally saved description (bug #14612)
* Mon Feb 18 2002 - gs@suse.de
-  Create the initial dialog for Change source (bug #13464)
* Tue Feb 12 2002 - schubi@suse.de
- Showing SuSEConfig correctly.
* Tue Feb 12 2002 - schubi@suse.de
- user_settings and PKGINFO calls removed
* Tue Sep 18 2001 - schubi@suse.de
- InstMedia initialized
* Fri Sep 14 2001 - schubi@suse.de
- unmounting Medium correctly before exit #10555
* Thu Sep 06 2001 - kkaempf@suse.de
- properly mount/unmount medium.
* Mon Aug 20 2001 - gs@suse.de
- internal: remove deprecated agent calls
* Fri Jul 20 2001 - schubi@suse.de
- error popup with right language #8375
* Thu May 10 2001 - gs@suse.de
- missing include "common_functions.ycp" added (bug # 8003)
* Mon May 07 2001 - sh@suse.de
- Use new UI(`GetLanguage()) parameter
* Tue Apr 17 2001 - gs@suse.de
- rename of translation package
* Fri Apr 13 2001 - gs@suse.de
- internal: use of report_architecture
* Fri Apr 06 2001 - gs@suse.de
- package rename, use of common popups
* Tue Jan 23 2001 - kkaempf@suse.de
- added proper textdomain call
* Fri Jan 12 2001 - schubi@suse.de
- Reading targetroot via SCR
* Thu Jan 11 2001 - schubi@suse.de
- bugfix 5502
* Thu Jan 11 2001 - schubi@suse.de
- Global variables added
* Wed Jan 10 2001 - schubi@suse.de
- Bugfix in changing installtion-medium
* Thu Jan 04 2001 - kkaempf@suse.de
- fix Requires field
* Thu Jan 04 2001 - kkaempf@suse.de
- declare needed global vars correctly
* Wed Dec 13 2000 - schubi@suse.de
- new menue-entry
* Wed Dec 13 2000 - schubi@suse.de
- YaST2 version read and stored into global variable
* Wed Dec 13 2000 - schubi@suse.de
- targetroot reading per SCR
* Thu Nov 02 2000 - gs@suse.de
- initial version
